---
source_url: https://www.pubnub.com/docs/sdks/rest-api/check-present-users
title: Check present users
---

# Check present users

> For AI agents: documentation index at https://www.pubnub.com/llms-full.txt

Retrieve UUIDs and state information (`hereNow`) for subscribed devices on a specific channel.

| Path Parameters |
| --- |
| `sub_key`string—**REQUIRED**Your app's subscribe key from Admin Portal.Example: sub-c-50264475-1902-558x-d213-7p19052012n2 |
| `channel`string—**REQUIRED**The channel ID to perform the operation on. In the context of Presence, this parameter relates to a channel for which the new state will be applied or the existing state will be returned. Verify that channels are comprised of valid characters. You can use a single channel or multiple channels separated by a comma.Example: myChannel |

| Query Parameters |
| --- |
| `channel-group`stringComma-separated list of channel group names to perform the operation on. In the context of Presence, this parameter relates to channel group name(s) to which you subscribe. You may subscribe to channels, channels and channel groups, or just channel groups.Note: Wildcard patterns (e.g., group.*) are not supported for channel groups. Use exact channel group names only.Example: myChannelGroup |
| `disable_uuids`integerIf 1, only occupancy numbers will be returned, without UUIDs and accompanying state info. If 0 or not provided, UUIDs will be returned with occupancy numbers. |
| `state`integerIf 1, accompanying state info for each UUID is returned. If 0 or not provided, state info is absent in the response.Example: 1 |
| `limit`integerLimit the number of results returned. Set -1 for no limit (default). Max limit is 1000. |
| `offset`integerStarting position of results to return, used for pagination. |
| `auth`stringString which is either the auth key (Access Manager legacy) or a valid token (Access Manager) used to authorize the operation if access control is enabled.Example: myAuthKey |
| `callback`stringThe JSONP callback name to wrap the function in.Example: myCallback |
| `uuid`string—**REQUIRED**A UTF-8 encoded string of up to 92 characters used to identify the client.Example: myUniqueUserId |
| `signature`stringSignature used to verify that the request was signed with the secret key associated with the subscribe key.If Access Manager is enabled, either a valid authorization token or a signature are required. Check Access Manager documentation for details on how to compute the signature. |
| `timestamp`integerUnix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP. Required if signature parameter is supplied. |

| Responses |
| --- |
| `200`OKSchema — OPTIONALstatus integer — OPTIONALmessage string — OPTIONALoccupancy integer — OPTIONALuuids string[] — OPTIONALservice string — OPTIONAL | Schema—**OPTIONAL** | `status`integer—**OPTIONAL** | `message`string—**OPTIONAL** | `occupancy`integer—**OPTIONAL** | `uuids`string[]—**OPTIONAL** | `service`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `occupancy`integer—**OPTIONAL** |
| `uuids`string[]—**OPTIONAL** |
| `service`string—**OPTIONAL** |

sub_key
*
Type:
string
Your app's subscribe key from
[Admin Portal](https://admin.pubnub.com)
.
channel
*
Type:
string
The channel ID to perform the operation on.

In the context of Presence, this parameter relates to a channel for which the new state will be applied or the existing state will be returned.  Verify that channels are comprised of valid characters. You can use a single channel or multiple channels separated by a comma.
channel-group
Type:
string
Comma-separated list of channel group names to perform the operation on.

In the context of Presence, this parameter relates to channel group name(s) to which you subscribe. You may subscribe to channels, channels and channel groups, or just channel groups.

Note:
Wildcard patterns (e.g.,
group.*
) are not supported for channel groups. Use exact channel group names only.
disable_uuids
Type:
integer
If
1
, only occupancy numbers will be returned, without UUIDs and accompanying state info. If
0
or not provided, UUIDs will be returned with occupancy numbers.
state
Type:
integer
If
1
, accompanying state info for each UUID is returned. If
0
or not provided, state info is absent in the response.
limit
Type:
integer
Limit the number of results returned. Set
-1
for no limit (default). Max limit is
1000
.
offset
Type:
integer
Starting position of results to return, used for pagination.
auth
Type:
string
String which is either the auth key (Access Manager legacy) or a valid token (
[Access Manager](https://www.pubnub.com/docs/security/access-control/overview.md)
) used to authorize the operation if access control is enabled.
callback
Type:
string
The JSONP callback name to wrap the function in.
uuid
*
Type:
string
A UTF-8 encoded string of up to 92 characters used to
[identify the client](https://www.pubnub.com/docs/architecture/core-concepts.md)
.
signature
Type:
string
Signature used to verify that the request was signed with the secret key associated with the subscribe key.

If Access Manager is enabled, either a valid authorization token or a signature are required.

Check
[Access Manager documentation](https://www.pubnub.com/docs/sdks/rest-api/access-manager-introduction.md)
for details on how to compute the signature.
timestamp
Type:
integer
Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP.

Required if
signature
parameter is supplied.
status
Type:
integer
Example:
200
message
Type:
string
Example:
"OK"
occupancy
Type:
integer
Example:
1
uuids
Type:
array
Array items:
items
Type:
string
service
Type:
string
Example:
"Presence"
Example Response

```
{
  "status": 200,
  "message": "OK",
  "occupancy": 1,
  "uuids": [
    "pn-4152c98f-0b60-404c-9719-c42dbf8fc246"
  ],
  "service": "Presence"
}
```
